<template>
		<el-dialog
                width="50%"
				:visible="showApplicationDialog"
				append-to-body
				@close="$emit('update:showApplicationDialog', false)">
                <!-- Start table Applications -->
                 <h2>Applications</h2>
                  <el-table
                        height="400"
                        v-loading="postLoading"
                        empty-text="No data"
                        :data="applications"
                        style="width: 100%">

                    <el-table-column fixed prop="applicant.user.avatar_url" label="Avatar" >
                        <template slot-scope="scope">
                        <div>
                            <img width="64" height="64" :src="(scope.row.applicant.user && scope.row.applicant.user.avatar_url) ? scope.row.applicant.user.avatar_url : $store.state.imgHolder" alt="Avatar">
                        </div>
                    </template>
                    </el-table-column>
                    <el-table-column  prop="applicant.user.full_name" label="Name" >
                    </el-table-column>
                    <el-table-column  prop="created_at" label="Created" >
                        <template slot-scope="scope">
                            <div>
                                <span>{{scope.row.created_at | moment('DD-MM-YYYY')}} </span>
                            </div>
                        </template>
                    </el-table-column>
                </el-table>
                <!-- End table Applications -->


		</el-dialog>

</template>
<script>
    import {job as jobApi} from '~/services/apis/index'
    export default {
        props: [ 'showApplicationDialog', 'job_post_id'],
        data() {
            return {
                postLoading: false,
                applications: [],
                hiring: [],
            };
        },
        methods: {
            /* get Application
                @param job_post_id{number}
            */
            getApplications(){
                this.postLoading = true
                jobApi.getApplicationsByPost(1, 10, 'id', 'desc', this.job_post_id)
                    .then((res) => {
                        this.applications = [...res.data.data];
                        this.postLoading = false;
                    });
            },

        },
		mounted(){
            /*Call APIs when mounted*/
            this.getApplications()

		},
        watch: {
            showApplicationDialog: function() {
                /*Get data everytime open/close dialog */
                   this.applications = this.getApplications();
                //    this.hiring = this.getHirings();
            }

        },

    }
</script>

<style lang="scss">
	.upload-img-outer{
		position: relative;
		.icon-img-close{

			position: absolute;
			top: 3px;
			right: 5px;
			padding: 3px;

			&:hover{
			}
		}
	}

</style>
